Subject: [mpls] Updated rev -08 posted [Re: Adam Roach's No Objection on draft-ietf-mpls-ldp-yang-07: (with COMMENT)]

From: "Kamran Raza (skraza)" <[email-masked]>
Date: Fri, 28 Feb 2020 04:42:09 +0000

Thanks for your review and comments.
We have posted a new rev -08 that takes care of your comments and comments from other IESG reviewers.
On behalf of authors, Please see further inline [skraza]:

On 2019-12-04, 8:20 PM, "Adam Roach via Datatracker" <[email-masked]> wrote:

    ----------------------------------------------------------------------
    COMMENT:
    ----------------------------------------------------------------------
    
    Thanks to all contributors and working group members who worked on this
    document.
    
    ---------------------------------------------------------------------------
    
    The front page contains six authors' names, while the "Authors' Addresses"
    section at the end of the document contains 10. To avoid complications in
    AUTH48, please clearly move all but six (or, preferably, five -- see RFC 7322
    section 4.1.1) such names to the "Contributors" section.

[skraza]: Done.
    
    ---------------------------------------------------------------------------
    
    I share Ben's concerns regarding the way these models treat IPv4 as
    "basic" functionality, and IPv6 as "extended" functionality.
    See https://www.iab.org/2016/11/07/iab-statement-on-ipv6/ for the current
    IAB guidance on IPv6 in IETF protocols.
    
    ---------------------------------------------------------------------------

[skraza]: Please see our response to Ben's email.

    >       FEC-Label bindings:
    >           FEC 203.0.113.1/32:
    >             advertised: local-label 16000
    >               peer 192.0.2.1:0
    >               peer 192.0.2.2:0
    >               peer 192.0.2.3:0
    >             received:
    >               peer 192.0.2.1:0, label 16002, used-in-forwarding=Yes
    >               peer 192.0.2.2:0, label 17002, used-in-forwarding=No
    >           FEC 203.0.113.2/32:
    >              . . . .
    >           FEC 198.51.100.0/24:
    >              . . . .
    >
    >       Address bindings:
    >           Addr 192.0.2.10:
    >             advertised
    >           Addr 192.0.2.1:
    >             received, peer 192.0.2.1:0
    >           Addr 192.0.2.2:
    >             received, peer 192.0.2.2:0
    >           Addr 192.0.2.3:
    >             received, peer 192.0.2.3:0
    >
    >                                Figure 12
    
    Please update this example to use IPv6, or add an example that shows IPv6.
    Refer again to the IAB statement cited above for details.

[skraza]: Done.